Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3140 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Dec 10, 2004, 7:44:36 PM (20 years ago)
Author:
bensch
Message:

orxonox/trunk: merged branches/images back into the trunk.
merged with command: svn merge bensches/images/ trunk/ -r 3084:HEAD

Conflicts in configure/.ac

resolved in favor of branches/images (newer)

Mayor differences:

  1. Image-Importing capability.
  2. configure remade for usage with sdl-image/jpeglib and so on.
  3. Absolutely no change in the trunk/src
File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r3101 r3140  
    866866  --enable-dependency-tracking   do not reject slow dependency extractors
    867867  --disable-gtk           Prevents GTK from being loaded
     868  --disabel-sdl-image     Prevents SDL_image from being loaded
    868869
    869870Some influential environment variables:
     
    38313832
    38323833
    3833 
    38343834### CHECKING  OPTIONAT ARGUMENTS
    38353835## GTK-disabled
     
    38483848  echo "no"
    38493849fi
    3850 
    3851 
     3850### SDL_image-disable
     3851def_sdl_image=yes
     3852echo "$as_me:$LINENO: checking if SDL_image should be enabled" >&5
     3853echo $ECHO_N "checking if SDL_image should be enabled... $ECHO_C" >&6
     3854# Check whether --enable-sdl_image or --disable-sdl_image was given.
     3855if test "${enable_sdl_image+set}" = set; then
     3856  enableval="$enable_sdl_image"
     3857  def_sdl_image=no
     3858fi;
     3859if test "$def_sdl_image" = yes; then
     3860  echo "yes"
     3861fi
     3862if test "$def_sdl_image" = no; then
     3863  echo "no"
     3864fi
    38523865
    38533866### CHECKING FOR SYSTEM ###
     
    47654778    fi
    47664779
    4767 
    47684780    ;;
    47694781
     
    53935405
    53945406
    5395 # checking for SDL-libs
     5407# checking for SDL-lib
    53965408    echo "$as_me:$LINENO: checking for main in -lSDL" >&5
    53975409echo $ECHO_N "checking for main in -lSDL... $ECHO_C" >&6
     
    54665478     fi
    54675479
     5480
    54685481## checking for SDL
    54695482#    SDL_VERSION=1.2.7
     
    54825495 osX="yes"
    54835496
     5497 CPPFLAGS="-I/sw/include $CPPFLAGS"
    54845498# checking gl header
    54855499
     
    58105824       CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
    58115825       LIBS="$LIBS $SDL_LIBS"
     5826
    58125827    ;;
    58135828
     
    58185833
    58195834
    5820 
    5821 
     5835## check for SDL_Image
     5836if test "$def_sdl_image" = "yes"; then
     5837# checking for SDL_image-headers
     5838
     5839for ac_header in SDL/SDL_image.h
     5840do
     5841as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5842if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5843  echo "$as_me:$LINENO: checking for $ac_header" >&5
     5844echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5845if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5846  echo $ECHO_N "(cached) $ECHO_C" >&6
     5847fi
     5848echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5849echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5850else
     5851  # Is the header compilable?
     5852echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5853echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5854cat >conftest.$ac_ext <<_ACEOF
     5855/* confdefs.h.  */
     5856_ACEOF
     5857cat confdefs.h >>conftest.$ac_ext
     5858cat >>conftest.$ac_ext <<_ACEOF
     5859/* end confdefs.h.  */
     5860$ac_includes_default
     5861#include <$ac_header>
     5862_ACEOF
     5863rm -f conftest.$ac_objext
     5864if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5865  (eval $ac_compile) 2>conftest.er1
     5866  ac_status=$?
     5867  grep -v '^ *+' conftest.er1 >conftest.err
     5868  rm -f conftest.er1
     5869  cat conftest.err >&5
     5870  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5871  (exit $ac_status); } &&
     5872         { ac_try='test -z "$ac_c_werror_flag"
     5873                         || test ! -s conftest.err'
     5874  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5875  (eval $ac_try) 2>&5
     5876  ac_status=$?
     5877  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5878  (exit $ac_status); }; } &&
     5879         { ac_try='test -s conftest.$ac_objext'
     5880  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5881  (eval $ac_try) 2>&5
     5882  ac_status=$?
     5883  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5884  (exit $ac_status); }; }; then
     5885  ac_header_compiler=yes
     5886else
     5887  echo "$as_me: failed program was:" >&5
     5888sed 's/^/| /' conftest.$ac_ext >&5
     5889
     5890ac_header_compiler=no
     5891fi
     5892rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5893echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5894echo "${ECHO_T}$ac_header_compiler" >&6
     5895
     5896# Is the header present?
     5897echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5898echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5899cat >conftest.$ac_ext <<_ACEOF
     5900/* confdefs.h.  */
     5901_ACEOF
     5902cat confdefs.h >>conftest.$ac_ext
     5903cat >>conftest.$ac_ext <<_ACEOF
     5904/* end confdefs.h.  */
     5905#include <$ac_header>
     5906_ACEOF
     5907if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5908  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5909  ac_status=$?
     5910  grep -v '^ *+' conftest.er1 >conftest.err
     5911  rm -f conftest.er1
     5912  cat conftest.err >&5
     5913  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5914  (exit $ac_status); } >/dev/null; then
     5915  if test -s conftest.err; then
     5916    ac_cpp_err=$ac_c_preproc_warn_flag
     5917    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5918  else
     5919    ac_cpp_err=
     5920  fi
     5921else
     5922  ac_cpp_err=yes
     5923fi
     5924if test -z "$ac_cpp_err"; then
     5925  ac_header_preproc=yes
     5926else
     5927  echo "$as_me: failed program was:" >&5
     5928sed 's/^/| /' conftest.$ac_ext >&5
     5929
     5930  ac_header_preproc=no
     5931fi
     5932rm -f conftest.err conftest.$ac_ext
     5933echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5934echo "${ECHO_T}$ac_header_preproc" >&6
     5935
     5936# So?  What about this header?
     5937case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5938  yes:no: )
     5939    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5940echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5941    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5942echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5943    ac_header_preproc=yes
     5944    ;;
     5945  no:yes:* )
     5946    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5947echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5948    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5949echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5950    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5951echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5952    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5953echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5954    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5955echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5956    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5957echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5958    (
     5959      cat <<\_ASBOX
     5960## ------------------------------------------- ##
     5961## Report this to orxonox-dev@mail.datacore.ch ##
     5962## ------------------------------------------- ##
     5963_ASBOX
     5964    ) |
     5965      sed "s/^/$as_me: WARNING:     /" >&2
     5966    ;;
     5967esac
     5968echo "$as_me:$LINENO: checking for $ac_header" >&5
     5969echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5970if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5971  echo $ECHO_N "(cached) $ECHO_C" >&6
     5972else
     5973  eval "$as_ac_Header=\$ac_header_preproc"
     5974fi
     5975echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5976echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5977
     5978fi
     5979if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5980  cat >>confdefs.h <<_ACEOF
     5981#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5982_ACEOF
     5983
     5984else
     5985  echo "sdl_image not found. falling back to other options"; def_sdl_image=no
     5986fi
     5987
     5988done
     5989
     5990fi
     5991if test "$def_sdl_image" = "yes"; then
     5992# checking for SDL_image-lib
     5993  echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
     5994echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
     5995if test "${ac_cv_lib_SDL_image_main+set}" = set; then
     5996  echo $ECHO_N "(cached) $ECHO_C" >&6
     5997else
     5998  ac_check_lib_save_LIBS=$LIBS
     5999LIBS="-lSDL_image  $LIBS"
     6000cat >conftest.$ac_ext <<_ACEOF
     6001/* confdefs.h.  */
     6002_ACEOF
     6003cat confdefs.h >>conftest.$ac_ext
     6004cat >>conftest.$ac_ext <<_ACEOF
     6005/* end confdefs.h.  */
     6006
     6007
     6008int
     6009main ()
     6010{
     6011main ();
     6012  ;
     6013  return 0;
     6014}
     6015_ACEOF
     6016rm -f conftest.$ac_objext conftest$ac_exeext
     6017if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6018  (eval $ac_link) 2>conftest.er1
     6019  ac_status=$?
     6020  grep -v '^ *+' conftest.er1 >conftest.err
     6021  rm -f conftest.er1
     6022  cat conftest.err >&5
     6023  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6024  (exit $ac_status); } &&
     6025         { ac_try='test -z "$ac_c_werror_flag"
     6026                         || test ! -s conftest.err'
     6027  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6028  (eval $ac_try) 2>&5
     6029  ac_status=$?
     6030  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6031  (exit $ac_status); }; } &&
     6032         { ac_try='test -s conftest$ac_exeext'
     6033  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6034  (eval $ac_try) 2>&5
     6035  ac_status=$?
     6036  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6037  (exit $ac_status); }; }; then
     6038  ac_cv_lib_SDL_image_main=yes
     6039else
     6040  echo "$as_me: failed program was:" >&5
     6041sed 's/^/| /' conftest.$ac_ext >&5
     6042
     6043ac_cv_lib_SDL_image_main=no
     6044fi
     6045rm -f conftest.err conftest.$ac_objext \
     6046      conftest$ac_exeext conftest.$ac_ext
     6047LIBS=$ac_check_lib_save_LIBS
     6048fi
     6049echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
     6050echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
     6051if test $ac_cv_lib_SDL_image_main = yes; then
     6052  FOUND_SDL_image=yes
     6053fi
     6054
     6055     if test "$FOUND_SDL_image" = "yes" ; then
     6056       LIBS="$LIBS -lSDL_image"
     6057     else
     6058        echo "------------------"
     6059        echo "SDL_image library not found."
     6060        echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
     6061        echo "------------------"
     6062        exit -1
     6063     fi
     6064fi
     6065
     6066
     6067if test "$def_sdl_image" = "no"; then
     6068 ## checking for libjpeg
     6069
     6070for ac_header in jpeglib.h
     6071do
     6072as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6073if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6074  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6075echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6076if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6077  echo $ECHO_N "(cached) $ECHO_C" >&6
     6078fi
     6079echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6080echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6081else
     6082  # Is the header compilable?
     6083echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6084echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6085cat >conftest.$ac_ext <<_ACEOF
     6086/* confdefs.h.  */
     6087_ACEOF
     6088cat confdefs.h >>conftest.$ac_ext
     6089cat >>conftest.$ac_ext <<_ACEOF
     6090/* end confdefs.h.  */
     6091$ac_includes_default
     6092#include <$ac_header>
     6093_ACEOF
     6094rm -f conftest.$ac_objext
     6095if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6096  (eval $ac_compile) 2>conftest.er1
     6097  ac_status=$?
     6098  grep -v '^ *+' conftest.er1 >conftest.err
     6099  rm -f conftest.er1
     6100  cat conftest.err >&5
     6101  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6102  (exit $ac_status); } &&
     6103         { ac_try='test -z "$ac_c_werror_flag"
     6104                         || test ! -s conftest.err'
     6105  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6106  (eval $ac_try) 2>&5
     6107  ac_status=$?
     6108  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6109  (exit $ac_status); }; } &&
     6110         { ac_try='test -s conftest.$ac_objext'
     6111  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6112  (eval $ac_try) 2>&5
     6113  ac_status=$?
     6114  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6115  (exit $ac_status); }; }; then
     6116  ac_header_compiler=yes
     6117else
     6118  echo "$as_me: failed program was:" >&5
     6119sed 's/^/| /' conftest.$ac_ext >&5
     6120
     6121ac_header_compiler=no
     6122fi
     6123rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6124echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6125echo "${ECHO_T}$ac_header_compiler" >&6
     6126
     6127# Is the header present?
     6128echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6129echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6130cat >conftest.$ac_ext <<_ACEOF
     6131/* confdefs.h.  */
     6132_ACEOF
     6133cat confdefs.h >>conftest.$ac_ext
     6134cat >>conftest.$ac_ext <<_ACEOF
     6135/* end confdefs.h.  */
     6136#include <$ac_header>
     6137_ACEOF
     6138if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6139  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6140  ac_status=$?
     6141  grep -v '^ *+' conftest.er1 >conftest.err
     6142  rm -f conftest.er1
     6143  cat conftest.err >&5
     6144  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6145  (exit $ac_status); } >/dev/null; then
     6146  if test -s conftest.err; then
     6147    ac_cpp_err=$ac_c_preproc_warn_flag
     6148    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6149  else
     6150    ac_cpp_err=
     6151  fi
     6152else
     6153  ac_cpp_err=yes
     6154fi
     6155if test -z "$ac_cpp_err"; then
     6156  ac_header_preproc=yes
     6157else
     6158  echo "$as_me: failed program was:" >&5
     6159sed 's/^/| /' conftest.$ac_ext >&5
     6160
     6161  ac_header_preproc=no
     6162fi
     6163rm -f conftest.err conftest.$ac_ext
     6164echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6165echo "${ECHO_T}$ac_header_preproc" >&6
     6166
     6167# So?  What about this header?
     6168case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6169  yes:no: )
     6170    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6171echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6172    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6173echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6174    ac_header_preproc=yes
     6175    ;;
     6176  no:yes:* )
     6177    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6178echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6179    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6180echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6181    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6182echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6183    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6184echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6185    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6186echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6187    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6188echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6189    (
     6190      cat <<\_ASBOX
     6191## ------------------------------------------- ##
     6192## Report this to orxonox-dev@mail.datacore.ch ##
     6193## ------------------------------------------- ##
     6194_ASBOX
     6195    ) |
     6196      sed "s/^/$as_me: WARNING:     /" >&2
     6197    ;;
     6198esac
     6199echo "$as_me:$LINENO: checking for $ac_header" >&5
     6200echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6201if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6202  echo $ECHO_N "(cached) $ECHO_C" >&6
     6203else
     6204  eval "$as_ac_Header=\$ac_header_preproc"
     6205fi
     6206echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6207echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6208
     6209fi
     6210if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6211  cat >>confdefs.h <<_ACEOF
     6212#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6213_ACEOF
     6214 jpegHeader="yes"
     6215else
     6216  jpegHeader="no"
     6217fi
     6218
     6219done
     6220
     6221 if test $jpegHeader = "no"; then
     6222        echo " not including jpeg."
     6223 else
     6224  echo "$as_me:$LINENO: checking for main in -ljpeg" >&5
     6225echo $ECHO_N "checking for main in -ljpeg... $ECHO_C" >&6
     6226if test "${ac_cv_lib_jpeg_main+set}" = set; then
     6227  echo $ECHO_N "(cached) $ECHO_C" >&6
     6228else
     6229  ac_check_lib_save_LIBS=$LIBS
     6230LIBS="-ljpeg  $LIBS"
     6231cat >conftest.$ac_ext <<_ACEOF
     6232/* confdefs.h.  */
     6233_ACEOF
     6234cat confdefs.h >>conftest.$ac_ext
     6235cat >>conftest.$ac_ext <<_ACEOF
     6236/* end confdefs.h.  */
     6237
     6238
     6239int
     6240main ()
     6241{
     6242main ();
     6243  ;
     6244  return 0;
     6245}
     6246_ACEOF
     6247rm -f conftest.$ac_objext conftest$ac_exeext
     6248if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6249  (eval $ac_link) 2>conftest.er1
     6250  ac_status=$?
     6251  grep -v '^ *+' conftest.er1 >conftest.err
     6252  rm -f conftest.er1
     6253  cat conftest.err >&5
     6254  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6255  (exit $ac_status); } &&
     6256         { ac_try='test -z "$ac_c_werror_flag"
     6257                         || test ! -s conftest.err'
     6258  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6259  (eval $ac_try) 2>&5
     6260  ac_status=$?
     6261  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6262  (exit $ac_status); }; } &&
     6263         { ac_try='test -s conftest$ac_exeext'
     6264  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6265  (eval $ac_try) 2>&5
     6266  ac_status=$?
     6267  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6268  (exit $ac_status); }; }; then
     6269  ac_cv_lib_jpeg_main=yes
     6270else
     6271  echo "$as_me: failed program was:" >&5
     6272sed 's/^/| /' conftest.$ac_ext >&5
     6273
     6274ac_cv_lib_jpeg_main=no
     6275fi
     6276rm -f conftest.err conftest.$ac_objext \
     6277      conftest$ac_exeext conftest.$ac_ext
     6278LIBS=$ac_check_lib_save_LIBS
     6279fi
     6280echo "$as_me:$LINENO: result: $ac_cv_lib_jpeg_main" >&5
     6281echo "${ECHO_T}$ac_cv_lib_jpeg_main" >&6
     6282if test $ac_cv_lib_jpeg_main = yes; then
     6283  FOUND_jpeg=yes
     6284fi
     6285
     6286    if test "$FOUND_jpeg" = "yes" ; then
     6287      LIBS="$LIBS -ljpeg"
     6288    else
     6289         echo "------------------"
     6290         echo "jpeg library not found."
     6291         echo "please install the jpeg library from the Independent JPEG Group, which can be found at http://www.ijg.org"
     6292         echo "------------------"
     6293         exit -1
     6294    fi
     6295 fi
     6296
     6297 ## checking for libpng
     6298
     6299for ac_header in png.h
     6300do
     6301as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6302if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6303  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6304echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6305if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6306  echo $ECHO_N "(cached) $ECHO_C" >&6
     6307fi
     6308echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6309echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6310else
     6311  # Is the header compilable?
     6312echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6313echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6314cat >conftest.$ac_ext <<_ACEOF
     6315/* confdefs.h.  */
     6316_ACEOF
     6317cat confdefs.h >>conftest.$ac_ext
     6318cat >>conftest.$ac_ext <<_ACEOF
     6319/* end confdefs.h.  */
     6320$ac_includes_default
     6321#include <$ac_header>
     6322_ACEOF
     6323rm -f conftest.$ac_objext
     6324if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6325  (eval $ac_compile) 2>conftest.er1
     6326  ac_status=$?
     6327  grep -v '^ *+' conftest.er1 >conftest.err
     6328  rm -f conftest.er1
     6329  cat conftest.err >&5
     6330  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6331  (exit $ac_status); } &&
     6332         { ac_try='test -z "$ac_c_werror_flag"
     6333                         || test ! -s conftest.err'
     6334  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6335  (eval $ac_try) 2>&5
     6336  ac_status=$?
     6337  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6338  (exit $ac_status); }; } &&
     6339         { ac_try='test -s conftest.$ac_objext'
     6340  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6341  (eval $ac_try) 2>&5
     6342  ac_status=$?
     6343  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6344  (exit $ac_status); }; }; then
     6345  ac_header_compiler=yes
     6346else
     6347  echo "$as_me: failed program was:" >&5
     6348sed 's/^/| /' conftest.$ac_ext >&5
     6349
     6350ac_header_compiler=no
     6351fi
     6352rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6353echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6354echo "${ECHO_T}$ac_header_compiler" >&6
     6355
     6356# Is the header present?
     6357echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6358echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6359cat >conftest.$ac_ext <<_ACEOF
     6360/* confdefs.h.  */
     6361_ACEOF
     6362cat confdefs.h >>conftest.$ac_ext
     6363cat >>conftest.$ac_ext <<_ACEOF
     6364/* end confdefs.h.  */
     6365#include <$ac_header>
     6366_ACEOF
     6367if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6368  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6369  ac_status=$?
     6370  grep -v '^ *+' conftest.er1 >conftest.err
     6371  rm -f conftest.er1
     6372  cat conftest.err >&5
     6373  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6374  (exit $ac_status); } >/dev/null; then
     6375  if test -s conftest.err; then
     6376    ac_cpp_err=$ac_c_preproc_warn_flag
     6377    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6378  else
     6379    ac_cpp_err=
     6380  fi
     6381else
     6382  ac_cpp_err=yes
     6383fi
     6384if test -z "$ac_cpp_err"; then
     6385  ac_header_preproc=yes
     6386else
     6387  echo "$as_me: failed program was:" >&5
     6388sed 's/^/| /' conftest.$ac_ext >&5
     6389
     6390  ac_header_preproc=no
     6391fi
     6392rm -f conftest.err conftest.$ac_ext
     6393echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6394echo "${ECHO_T}$ac_header_preproc" >&6
     6395
     6396# So?  What about this header?
     6397case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6398  yes:no: )
     6399    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6400echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6401    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6402echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6403    ac_header_preproc=yes
     6404    ;;
     6405  no:yes:* )
     6406    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6407echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6408    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6409echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6410    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6411echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6412    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6413echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6414    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6415echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6416    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6417echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6418    (
     6419      cat <<\_ASBOX
     6420## ------------------------------------------- ##
     6421## Report this to orxonox-dev@mail.datacore.ch ##
     6422## ------------------------------------------- ##
     6423_ASBOX
     6424    ) |
     6425      sed "s/^/$as_me: WARNING:     /" >&2
     6426    ;;
     6427esac
     6428echo "$as_me:$LINENO: checking for $ac_header" >&5
     6429echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6430if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6431  echo $ECHO_N "(cached) $ECHO_C" >&6
     6432else
     6433  eval "$as_ac_Header=\$ac_header_preproc"
     6434fi
     6435echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6436echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6437
     6438fi
     6439if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6440  cat >>confdefs.h <<_ACEOF
     6441#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6442_ACEOF
     6443 pngHeader="yes"
     6444else
     6445  pngHeader="no"
     6446fi
     6447
     6448done
     6449
     6450 if test $pngHeader = "no"; then
     6451        echo " not including png."
     6452 else
     6453  echo "$as_me:$LINENO: checking for main in -lpng" >&5
     6454echo $ECHO_N "checking for main in -lpng... $ECHO_C" >&6
     6455if test "${ac_cv_lib_png_main+set}" = set; then
     6456  echo $ECHO_N "(cached) $ECHO_C" >&6
     6457else
     6458  ac_check_lib_save_LIBS=$LIBS
     6459LIBS="-lpng  $LIBS"
     6460cat >conftest.$ac_ext <<_ACEOF
     6461/* confdefs.h.  */
     6462_ACEOF
     6463cat confdefs.h >>conftest.$ac_ext
     6464cat >>conftest.$ac_ext <<_ACEOF
     6465/* end confdefs.h.  */
     6466
     6467
     6468int
     6469main ()
     6470{
     6471main ();
     6472  ;
     6473  return 0;
     6474}
     6475_ACEOF
     6476rm -f conftest.$ac_objext conftest$ac_exeext
     6477if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6478  (eval $ac_link) 2>conftest.er1
     6479  ac_status=$?
     6480  grep -v '^ *+' conftest.er1 >conftest.err
     6481  rm -f conftest.er1
     6482  cat conftest.err >&5
     6483  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6484  (exit $ac_status); } &&
     6485         { ac_try='test -z "$ac_c_werror_flag"
     6486                         || test ! -s conftest.err'
     6487  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6488  (eval $ac_try) 2>&5
     6489  ac_status=$?
     6490  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6491  (exit $ac_status); }; } &&
     6492         { ac_try='test -s conftest$ac_exeext'
     6493  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6494  (eval $ac_try) 2>&5
     6495  ac_status=$?
     6496  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6497  (exit $ac_status); }; }; then
     6498  ac_cv_lib_png_main=yes
     6499else
     6500  echo "$as_me: failed program was:" >&5
     6501sed 's/^/| /' conftest.$ac_ext >&5
     6502
     6503ac_cv_lib_png_main=no
     6504fi
     6505rm -f conftest.err conftest.$ac_objext \
     6506      conftest$ac_exeext conftest.$ac_ext
     6507LIBS=$ac_check_lib_save_LIBS
     6508fi
     6509echo "$as_me:$LINENO: result: $ac_cv_lib_png_main" >&5
     6510echo "${ECHO_T}$ac_cv_lib_png_main" >&6
     6511if test $ac_cv_lib_png_main = yes; then
     6512  FOUND_png=yes
     6513fi
     6514
     6515    if test "$FOUND_png" = "yes" ; then
     6516      LIBS="$LIBS -lpng"
     6517    else
     6518         echo "------------------"
     6519         echo "png library not found."
     6520         echo "please install the png library, which can be found at http://libpng.org/pub/png/libpng.html"
     6521         echo "------------------"
     6522         exit -1
     6523    fi
     6524 fi
     6525fi
    58226526
    58236527## checking for GTK
Note: See TracChangeset for help on using the changeset viewer.